## y-u-no-validate 2013052407

=== src/Makefile ===
VERSION:=$(shell xmlstarlet sel \
	-N rdf=http://www.w3.org/1999/02/22-rdf-syntax-ns\# \
	-N em=http://www.mozilla.org/2004/em-rdf\# \
	-t -v /rdf:RDF/rdf:Description/em:version install.rdf || echo nover)

XPI_PREFIX:=y-u-no-validate
XPI:=$(XPI_PREFIX)-$(VERSION).xpi

all: $(XPI)

%.xpi: content chrome.manifest install.rdf icon.png COPYING README
	rm -f $@
	zip -r $@ $?

clean:
	rm -f $(XPI_PREFIX)-*.xpi

## y-u-no-validate 2013052401

=== debian/changelog ===
y-u-no-validate (2013052401-4) unstable; urgency=low

  * Update certificate used in the test suite to use 2048 private key.
    Recent versions of Iceweasel disliked the former 512-bit key so much,
    they didn't even let one add a security exception.
  * Set timezone to UTC in debian/rules. This should help with making the
    package builds reproducible (closes: #790071). Thanks to Chris Lamb for
    the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 27 Jun 2015 21:13:00 +0200

y-u-no-validate (2013052401-3) unstable; urgency=low

  * Improve the get-orig-source script:
    + Use the POSIX 1003.1-1988 (ustar) format for tarballs.
    + Download to current working directory by default.
    + Create temporary directory in /tmp.
  * Improve the test suite:
    + Run “firefox” instead of “iceweasel”, for compatibility with
      distributions that didn't rename their browser.
    + Set minimum version of xdotool as 1:2.20110530,
      for the --sync support in the “search” command.
    + Add test that runs adequate(1) against the package.
  * Unpack the .jar file. This should help with making the package
    builds reproducible.
  * Drop “XS-Testsuite: autopkgtest”.
  * Bump standards version to 3.9.6 (no changes needed).
  * Update the copyright file.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 26 May 2015 20:23:21 +0200

y-u-no-validate (2013052401-2) unstable; urgency=low

  * Add patch (test.diff) to implement the test suite.
    + Update debian/rules to not include the test directory in the binary
      package.
  * Add DEP-8 tests.
  * Use dh-buildinfo:
    + Update debian/rules.
    + Add the package to Build-Depends.
  * Bump standards version to 3.9.5 (no changes needed).
  * Use HTTPS in debian/watch.
  * Use gzip compression for .debian.tar.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 06 Apr 2014 19:33:46 +0200

y-u-no-validate (2013052401-1) unstable; urgency=low

  * New upstream release.
    + Update compatibility.diff to mark the package as compatible with all
      future versions of Iceape.
  * Unpack .jar inside .orig.tar.
  * Update watch file.
  * Update copyright file.
  * Don't use dh_testdir; instead use makefile rules to ensure that
    debian/rules can be only run in the correct directory.
  * Move README to /usr/share/doc.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 24 May 2013 18:51:22 +0200

y-u-no-validate (2012032501-2) unstable; urgency=low

  * Upload to unstable.
  * Remove “en-US/” from the homepage URL.
  * Bump standards version to 3.9.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 11 Mar 2013 22:38:54 +0100

y-u-no-validate (2012032501-1) experimental; urgency=low

  * Initial release (closes: #665717).
  * Add patch (compatibility.diff) to mark the package as compatible with all
    future versions of Iceweasel.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 18 Jun 2012 19:57:25 +0200

=== debian/control ===
Source: y-u-no-validate
Section: web
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends:
 debhelper (>= 7),
 dh-buildinfo,
 mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.6
Homepage: https://addons.mozilla.org/firefox/addon/y-u-no-validate/

Package: xul-ext-y-u-no-validate
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: browser extension to make security exceptions temporary by default
 y-u-no-validate is an Iceweasel extension that makes the "Permanently store
 this exception" checkbox in the "Add Security Exception" dialog unchecked by
 default.

=== debian/rules ===
#!/usr/bin/make -f

export TZ=UTC

.PHONY: build build-arch build-indep
build: build-arch build-indep
build-arch: ;
build-indep: debian/control
	xpi-pack . debian/xul-ext-y-u-no-validate.xpi

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: ;
binary-indep: build-indep
	dh_testroot
	dh_prep
	install-xpi -x 'test*' -x README -r debian/xul-ext-y-u-no-validate.xpi
	cd debian/*/usr/share/xul-ext/*/chrome/ && unzip *.jar && rm *.jar
	sed -i -e 's,y-u-no-validate[.]jar!/,,' -e 's/jar://' debian/*/usr/share/xul-ext/*/chrome.manifest
	dh_xul-ext
	dh_installdocs README
	dh_installchangelogs
	dh_buildinfo
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean
clean: debian/control
	dh_clean

here = $(dir $(firstword $(MAKEFILE_LIST)))/..

.PHONY: get-orig-source
get-orig-source:
	cd $(here) && sh debian/get-orig-source.sh $(CURDIR)

# vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
https://ftp.mozilla.org/pub/mozilla.org/addons/11368/ y_u_no_validate-([0-9.]+).*[.]xpi

## y-u-no-validate 2013052407

=== debian/changelog ===
y-u-no-validate (2013052407-1) unstable; urgency=low

  * New upstream release.
  * Packaging now based on new upstream git repository rather than
    upstream .xpi releases.
    Update various debian/* files accordingly.
  * Drop patch dropping Iceape support.
    mozilla-devscripts has been patched not to generate Depends: on Iceape.
  * Drop homepage patch (merged upstream).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jan 2016 13:40:26 -0700

y-u-no-validate (2013052401-6) unstable; urgency=low

  * Add Vcs-Git: and Vcs-Browser: fields to debian/control.
  * Tidy up debian/patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 17 Jan 2016 17:56:24 -0700

y-u-no-validate (2013052401-5) unstable; urgency=low

  * Adopt y-u-no-validate in Debian (closes: #786805).
  * Bump debhelper compat to 9 (no changes needed).
  * Drop support for Iceape (fixes debcheck errors).
  * Change homepage URI displayed in about:addons to point to upstream's
    page about y-u-no-validate.
    It is non-trivial for those who do not speak Polish to navigate to the
    page about y-u-no-validate from the upstream author's personal home
    page, which was the URI previously displayed in about:addons.
  * Update download URL in watch file.
  * Replace get-orig-source.sh script with xpi-repack invoked by uscan.
  * Override debian-watch-may-check-gpg-signature & no-upstream-changelog.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 15 Jan 2016 16:16:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: y-u-no-validate
 Section: web
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Build-Depends:
- debhelper (>= 7),
+ debhelper (>= 9),
  dh-buildinfo,
  mozilla-devscripts (>= 0.16~)
 Standards-Version: 3.9.6
-Homepage: https://addons.mozilla.org/firefox/addon/y-u-no-validate/
+Homepage: http://wodny.org/projects/y-u-no-validate.html
+Vcs-Git: https://anonscm.debian.org/git/pkg-mozext/y-u-no-validate.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mozext/y-u-no-validate.git/
 
 Package: xul-ext-y-u-no-validate
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext --sourcedirectory=src

override_dh_auto_install:
	dh_auto_install
	rm debian/*/usr/share/xul-ext/y-u-no-validate/COPYING

=== debian/tests/control ===
Tests: testsuite
Depends:
 y-u-no-validate, iceweasel,
 python3,
 xdotool (>= 1:2.20110530),
 xvfb, xauth

Tests: adequate
Depends:
 y-u-no-validate,
 adequate

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://wodny.org/download/y-u-no-validate/ y-u-no-validate-([0-9.]+).xpi
